# Dockerized QEMU

Dockerized QEMU image for reproducibly testing stuff on Windows.
Prepare OS image as described below.
If OS image is mounted to the Docker container as read-only
it is first copied during Docker container launch.
Specify MAC address via environment variable `MAC`.
For more example see `docker-compose.yml`


# Windows template image preparation

Prepare the image using libvirt or similar where you can specify
virtio SCSI controller for storage.
For Windows 10 install also mount
[virtio SCSI and networking drivers ISO](https://github.com/virtio-win/virtio-win-pkg-scripts/blob/master/README.md).
In Windows 10 partitioning wizard provide drivers from that ISO.
Install [OpenSSH server](https://docs.microsoft.com/en-us/windows-server/administration/openssh/openssh_install_firstuse).
Make sure OpenSSH starts during boot.
Insert Jenkins or your favourite CI/CD software SSH public key into the image.
Use the resulting virtual machine disk image with this Docker image.
